<script setup>
import clickOutside from '@/directives/clickOutside';

const props = defineProps({
  links: { type: Array, required: true },
});

const route = useRoute();
const vClickOutside = clickOutside;
const localePath = useLocalePath();
const activeDropdown = ref(null);

const toggleActive = (id) => {
  activeDropdown.value = activeDropdown.value === id ? null : id;
};

watch(
  () => route.fullPath,
  () => (activeDropdown.value = null),
);
</script>

<template>
  <div
    v-click-outside="() => toggleActive(null)"
    class="hidden lg:flex lg:flex-grow items-center"
  >
    <ul class="flex flex-col lg:flex-row list-none ml-auto">
      <li v-for="link in props.links" :key="link.name" class="nav-link">
        <NuxtLink
          v-if="!!link.to && !link.dropdown"
          :to="localePath(link.to)"
          class="px-3 py-2 flex items-center font-semibold hover:opacity-75"
          >{{ link.name }}</NuxtLink
        >

        <HeaderDropdown
          v-if="!!link.dropdown"
          :name="link.name"
          :dropdown="link.dropdown"
          :is-opened="activeDropdown === link.dropdown.id"
          @toggle-active="() => toggleActive(link.dropdown.id)"
        />
      </li>
    </ul>
  </div>
</template>
